namespace IRaCIS.Core.Domain.Models;

[Comment("受试者 - 阅片模块临床表单")]
[Table("ReadModuleCriterionFrom")]
public class ReadModuleCriterionFrom : BaseAddAuditEntity
{
    #region 导航属性
    [ForeignKey("ReadModuleId")]
    public Guid ReadModuleId { get; set; }

    [JsonIgnore]
    [ForeignKey("ClinicalFormId")]
    public ClinicalForm ClinicalForm { get; set; }
    #endregion
    public Guid SubjectId { get; set; }

    public Guid TrialId { get; set; }

    [Comment("表单Id")]
    public Guid ClinicalFormId { get; set; }
}
